Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting
Class RemoteProxyFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.remoting.RemoteAccessException
                          org.springframework.remoting.RemoteProxyFailureException

All Implemented Interfaces:
  Serializable

    public class RemoteProxyFailureException

extends RemoteAccessException

RemoteAccessException subclass to be thrown in case of a failure within the client-side proxy for a remote service, for example when a method was not found on the underlying RMI stub.

Since:
  1.2.8
Author:
  Juergen Hoeller
See Also:
  `RemoteInvocationFailureException`, Serialized Form

Constructor Summary
`RemoteProxyFailureException(String msg, Throwable cause)` Constructor for RemoteProxyFailureException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteProxyFailureException

    public RemoteProxyFailureException(String msg,
                                       Throwable cause)

  Constructor for RemoteProxyFailureException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the remoting API in use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.